org.apache.maven.scm.provider.svn.svnexe.command.tag

## Class SvnTagCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.tag.AbstractTagCommand
    - - org.apache.maven.scm.provider.svn.svnexe.command.tag.SvnTagCommand

- All Implemented Interfaces:
    Command, SvnCommand

      public class SvnTagCommand
      extends AbstractTagCommand
      implements SvnCommand

  Version:
    $Id: SvnTagCommand.java 885618 2009-11-30 23:29:16Z olamy $
  Author:
    Brett Porter

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvnTagCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.codehaus.plexus.util.cli.Commandline` | `createCommandLine(SvnScmProviderRepository repository, File workingDirectory, String tag, File messageFile)` Deprecated.
    `static org.codehaus.plexus.util.cli.Commandline` | `createCommandLine(SvnScmProviderRepository repository, File workingDirectory, String tag, File messageFile, ScmTagParameters scmTagParameters)`
    `ScmResult` | `executeTagCommand(ScmProviderRepository repo, ScmFileSet fileSet, String tag, ScmTagParameters scmTagParameters)`
    `ScmResult` | `executeTagCommand(ScmProviderRepository repo, ScmFileSet fileSet, String tag, String message)`

    - ### Methods inherited from class org.apache.maven.scm.command.tag.AbstractTagCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.scm.command.Command

      `execute, getLogger, setLogger`

- - ### Constructor Detail

    - #### SvnTagCommand

          public SvnTagCommand()

  - ### Method Detail

    - #### executeTagCommand

          public ScmResult executeTagCommand(ScmProviderRepository repo,
                                    ScmFileSet fileSet,
                                    String tag,
                                    String message)
                                      throws ScmException

      Overrides:
        `executeTagCommand` in class `AbstractTagCommand`
      Returns:
      Throws:
        `ScmException`

    - #### executeTagCommand

          public ScmResult executeTagCommand(ScmProviderRepository repo,
                                    ScmFileSet fileSet,
                                    String tag,
                                    ScmTagParameters scmTagParameters)
                                      throws ScmException

      Specified by:
        `executeTagCommand` in class `AbstractTagCommand`
      Throws:
        `ScmException`

    - #### createCommandLine

          public static org.codehaus.plexus.util.cli.Commandline createCommandLine(SvnScmProviderRepository repository,
                                                                   File workingDirectory,
                                                                   String tag,
                                                                   File messageFile)

      Deprecated.
      Parameters:
        `repository` -
        `workingDirectory` -
        `tag` -
        `messageFile` -
      Returns:

    - #### createCommandLine

          public static org.codehaus.plexus.util.cli.Commandline createCommandLine(SvnScmProviderRepository repository,
                                                                   File workingDirectory,
                                                                   String tag,
                                                                   File messageFile,
                                                                   ScmTagParameters scmTagParameters)

Copyright © 2003–2015. All rights reserved.